View Issue Details

IDProjectCategoryView StatusLast Update
0000242Cinelerra-GG[All Projects] Bugpublic2019-06-18 13:22
ReporterSamAssigned Togoodguy 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019-05 
Target VersionFixed in Version2019-06 
Summary0000242: Mouse wheel crashes Cin in mask mode
DescriptionCin crashes if you turn the mouse wheel up or down in the compositor but no mask is present. I use the very latest version.
Steps To Reproduce1. Create a new project without content.
2. Select the mask tool in the compositor.
3. Do not insert a mask, just rotate the mouse wheel in the compositor
4. Result is Cin crashes.
Additional InformationCan anyone confirm this bug?
TagsNo tags attached.

Activities

Andrea_Paz

Andrea_Paz

2019-06-18 06:37

updater   ~0001739

Thank you, the problem is solved. I thought the crashes depended on my system.
PhyllisSmith

PhyllisSmith

2019-06-18 00:20

manager   ~0001738

Today we had a chance to install the latest version of GG and tested this on an Arch system. It crashed with May 31 install and no longer crashes with today's build.
If Andrea could test again, that would be appreciated as it should not crash for him either.
Andrea_Paz

Andrea_Paz

2019-06-09 21:05

updater   ~0001708

(Sorry I was late, but I was out of the house). Update arch every day; The crash happens whether you load a project or nothing on the timeline. The crash happens with all the default settings and even randomly changing some parameters.
It is the simple scroll of the mouse wheel that determines the crash. On the terminal I have the following errors:


[root@archpaz paz]# LC_ALL=C /home/paz/cinelerra5/cinelerra-5.1/bin/./cin
Cinelerra Infinity - built: Jun 8 2019 23:05:41
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2018 Heroine Virtual Ltd. by Adam Williams
(c) 2007-2018 cin5 derivative by W.P. Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

** segv at 0x55ee2ff34d34 in pid 1916, tid 1946
writing debug data to /tmp/cinelerra_1916.dmp
lock_items: 23
lock_frees: 4
** dump complete
Segmentation fault (created core dump)

I attach the dumps. In cinelerra_1916 case I didn't load any projects and checked "disable OpenGL", also I started with the command "LC_ALL=C"; but the same happens without commands or using "LANGUAGE="en_US:us" LANG="en_US.utf8""

Download.tar.gz (60,011 bytes)
PhyllisSmith

PhyllisSmith

2019-06-09 17:17

manager   ~0001706

IgorB: I am glad you tested this too on Ubuntu. Now I am still wondering if it is related to Arch or specific Mask Window parameters? Will have to wait to hear back from Andrea or GG to test Arch later today.
IgorBeg

IgorBeg

2019-06-09 17:00

reporter   ~0001705

Only for info, if may be useful.
With the last "/testing/cinelerra-5.1-ub16-x86_64-static.txz_2019-06-08 21:31" and following the Sam's Steps To Reproduce, it works correctly, without crash.
PhyllisSmith

PhyllisSmith

2019-06-09 12:41

manager   ~0001704

Andrea found it still crashes and provided a new dump. GG is looking at it now.
PhyllisSmith

PhyllisSmith

2019-06-09 00:19

manager   ~0001696

Checked fix into GIT repository. Trivial quick fix. Thanks for reporting.
Andrea_Paz

Andrea_Paz

2019-06-08 15:10

updater   ~0001693

I confirm, too. Append my dump.

cin5_log.zip.zip (27,625 bytes)
PhyllisSmith

PhyllisSmith

2019-06-08 13:16

manager   ~0001691

I confirm. It is probably uninitialized variable so should be easy for gg to fix.

Issue History

Date Modified Username Field Change
2019-06-08 12:59 Sam New Issue
2019-06-08 13:16 PhyllisSmith Assigned To => PhyllisSmith
2019-06-08 13:16 PhyllisSmith Status new => confirmed
2019-06-08 13:16 PhyllisSmith Note Added: 0001691
2019-06-08 15:10 Andrea_Paz File Added: cin5_log.zip.zip
2019-06-08 15:10 Andrea_Paz Note Added: 0001693
2019-06-09 00:17 PhyllisSmith Assigned To PhyllisSmith => goodguy
2019-06-09 00:19 PhyllisSmith Status confirmed => resolved
2019-06-09 00:19 PhyllisSmith Resolution open => fixed
2019-06-09 00:19 PhyllisSmith Fixed in Version => 2019-06
2019-06-09 00:19 PhyllisSmith Note Added: 0001696
2019-06-09 12:41 PhyllisSmith Status resolved => acknowledged
2019-06-09 12:41 PhyllisSmith Note Added: 0001704
2019-06-09 17:00 IgorBeg Note Added: 0001705
2019-06-09 17:17 PhyllisSmith Note Added: 0001706
2019-06-09 21:05 Andrea_Paz File Added: Download.tar.gz
2019-06-09 21:05 Andrea_Paz Note Added: 0001708
2019-06-18 00:20 PhyllisSmith Status acknowledged => feedback
2019-06-18 00:20 PhyllisSmith Note Added: 0001738
2019-06-18 06:37 Andrea_Paz Note Added: 0001739
2019-06-18 13:22 PhyllisSmith Status feedback => resolved